A kampány előrehaladása
GET
/api/v1/campaign/{campaign_id}/progressGet current campaign progress and statistics
cURL példa
curl -X GET \
'https://app.intracord.hu/api/v1/campaign/{campaign_id}/progress' \
-H "X-API-Key: $INTRACORD_API_KEY"Paraméterek
| Név | Hely | Típus | Leírás |
|---|---|---|---|
campaign_idkötelező | path | integer | — |
authorization | header | object | — |
X-API-Key | header | object | — |
Válaszok
200Successful Responseapplication/jsonSéma megtekintése
{
"properties": {
"campaign_id": {
"type": "integer",
"title": "Campaign Id"
},
"state": {
"type": "string",
"title": "State"
},
"total_rows": {
"type": "integer",
"title": "Total Rows"
},
"processed_rows": {
"type": "integer",
"title": "Processed Rows"
},
"failed_calls": {
"type": "integer",
"title": "Failed Calls"
},
"progress_percentage": {
"type": "number",
"title": "Progress Percentage"
},
"source_sync": {
"additionalProperties": true,
"type": "object",
"title": "Source Sync"
},
"rate_limit": {
"type": "integer",
"title": "Rate Limit"
},
"started_at": {
"anyOf": [
{
"type": "string",
"format": "date-time"
},
{
"type": "null"
}
],
"title": "Started At"
},
"completed_at": {
"anyOf": [
{
"type": "string",
"format": "date-time"
},
{
"type": "null"
}
],
"title": "Completed At"
}
},
"type": "object",
"required": [
"campaign_id",
"state",
"total_rows",
"processed_rows",
"failed_calls",
"progress_percentage",
"source_sync",
"rate_limit",
"started_at",
"completed_at"
],
"title": "CampaignProgressResponse"
}404Not found422Validation Errorapplication/jsonSéma megtekintése
{
"properties": {
"detail": {
"items": {
"$ref": "#/components/schemas/ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}